Attach phone number to bot
curl --request POST \
--url https://api.helloannie.com/v1/phone-numbers/{phoneNumberId}/attach \
--header 'Content-Type: application/json' \
--data '
{
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.helloannie.com/v1/phone-numbers/{phoneNumberId}/attach"
payload = { "botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({botId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.helloannie.com/v1/phone-numbers/{phoneNumberId}/attach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"name": "<string>",
"outbound": true,
"verifiedCallerId": "<string>",
"callbackForwardingNumber": "<string>",
"speed": 123,
"stability": 123,
"similarity": 123,
"style": 123
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Phone Numbers
Attach phone number to bot
Attach a phone number to a bot. The bot must belong to the same organization as the phone number.
POST
/
phone-numbers
/
{phoneNumberId}
/
attach
Attach phone number to bot
Path Parameters
The ID of the phone number to attach
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Payload required to attach a phone number to a bot
The bot ID to attach this phone number to
⌘I